
=== CHINESE =======================================================================
;     配 置 说 明
;    ^^^^^^^^^^^^^
;1、WebURL: 是该邮箱网页的登陆地址，必须是一个框架网页，比如 http://mail.263.net
; 	的实际登陆页面是 http://mail.263.net/new_email/inc/login_main.html
;	实际上，多数的网站的webmail的URL都是以“http://mail.”开头的。

;2、Obj_UserName，Obj_Password: 这2个参数是打开网页HTML源文件里面对应的用户名
;	输入框和密码输入框的名字(或者ID)。比如www.gmail.com中的： 
;	<input type="text" name="Email" value="" class="gaia le val" id="User">
;	则可以看出，输入邮件地址的输入框是name="Email"，则设置Obj_UserName=Email；
;	也可以是Obj_UserName=User；
;	参数LoginWithFullEmail指定用户名输入框是否输入全部得邮件地址：
;	如果LoginWithFullEmail=1则表示要输入整个邮件地址否则只输入“@”前面的内容。

;3、Obj_Submit：对应提交按钮的名字（或者ID），如果有的网站没有这个提交按钮，则不填

;4、SubmitFunc、SubmitFuncType：有些网站是通过执行Script来完成提交的。
;	比如21cn.com的，它的FORM如下：
;	<FORM name=frmmail1 method=post OnSubmit="return submitHandle()">
;	则可以采用这个方法来配置。请参考[@21cn.com]部分的配置
;	当指定了SubmitFunc后，这个参数可以为：JavaScript/JScript/VBScript
;	SubmitFunc也可以写自己的脚本（不一定是网页上的）
	
;5、Obj_FormName：上面说的，如果Obj_Submit为空时，
;	则可以在这里指定当前的这个FORM（表单）的名字，
;	这个值是来自“<form name="form1"method="post"action=....”里面的那个name

;注意：以上3，4，5 任何一种形式都可以采用，程序的顺序是按照3->4->5来完成的。
;其中 4 和 5 是可以混合使用的，某些网站只要其中一种提交方式；
;但是有的网站需要 4 和 5 两种方式一起使用，比如yaoo.com.cn

;某些企业邮箱，需要输入域名，比如 http://gmail.263.net/，
;Obj_HostName 参数指定输入域名输入框的名字
;HostName 参数指定这个输入要填入的内容
;注意，有些企业邮箱需要输入“@aaa.com”，而有的只要输入“aaa.com”即可

=== ENGLISH =====================================================================
;     Configuration Explanation
;    ^^^^^^^^^^^^^^^^^^^^^^^^^^^
;1, WebURL: is the URL of the login page which must contain frames, 
;	eg.: the login page for 'http://mail.263.net'
;	actually is 'http://mail.263.net/new_email/inc/login_main.html'.
;	In fact, most webmail login URLs are initiated by 'http://mail.'.
;2, Obj_UserName，Obj_Password: These two options correspond to the account name 
;	and password fields in the HTML source file. 
;	For instance, in Gmail HTML source: 
; 	<input type="text" name="Email" value="" class="gaia le val" id="User">
;	we realize that name="Email" gives the account name, 
;	so we set Obj_UserName=Email; or Obj_UserName=User;
;	LoginWithFullEmail determines whether a full email address input is required,
;	ie. LoginWithFullEmail=1 means positive, otherwise only the left of '@' is sufficient.
;3, Obj_Submit: 
;	the name (or ID) of the submit button, leave it blank if no submit button exists.
;4, SubmitFunc, SubmitFuncType: 
;	some webmail servers submit the information by implementing a script file,
; 	eg. 21cn.com. It provides a way to configure via the following line
; 	<FORM name=frmmail1 method=post >
; 	Please refer to the configuration of [@21cn.com] part.
;	After specifying 'SubmitFunc', the type should be set to 'JScript'
;5, Obj_FormName: 
;	as stated above, a name for the current 'FORM' can be assigned here, if 'Obj_Submit' 
;	is left empty. This value is derived from the 'name' part of 
;	'<form name="form1"method="post"action=....'.
;Note: 
;	any format of the above stated 3/4/5 can be adopted in compliance with the sequence 
;	of operations as 3->4->5.
;	In most cases, webmail providers only apply one of the above submission methods. 
;	However, a combo utilization of 4 and 5 ;is also acceptable and necessary, such as yaoo.com.cn.
;	A domain name is required by some enterprise webmail providers, such as 
;	http://gmail.263.net/, in this case
;	Obj_HostName sets the name for the domain field.
;	HostName sets the required contents for input value.
;	some enterprise webmails require to input '@aaa.com' while others can accept 'aaa.com'.
====================================================================================


[@hotmail.com]
WebURL=http://login.live.com/login.srf?id=2
[@live.com]
WebURL=http://login.live.com/login.srf?id=2
[@live.cn]
WebURL=http://login.live.com/login.srf?id=2
[@msn.com]
WebURL=http://login.live.com/login.srf?id=2
[@hotmail.fr]
WebURL=http://login.live.com/login.srf?id=2

[@263.net]
WebURL=http://mail.263.net/new_email/inc/login_main.html
[@263.net.cn]
WebURL=http://mail.263.net/new_email/inc/login_main.html
[@x263.net]
WebURL=http://mail.263.net/new_email/inc/login_main.html

[@gmail.com]
WebURL=http://www.gmail.com/

[@21cn.com]
WebURL=http://mail.21cn.com/

[@tom.com]
WebURL=http://mail.tom.com/

[@126.com]
WebURL=http://mail.126.com/
[@vip.126.com]
WebURL=http://vip.126.com/
[@163.com]
WebURL=http://mail.163.com
[@vip.163.com]
WebURL=http://vip.163.com/
[@yeah.net]
WebURL=http://mail.yeah.net/
[@188.com]
WebURL=http://mail.188.com/
[@netease.com]
WebURL=http://mail.netease.com/

[@sina.com]
WebURL=http://mail.sina.com.cn/
Obj_UserName=username
Obj_Password=password
Obj_Submit=btn_login1
Obj_FormName=
SubmitFunc=
SubmitFuncType=
LoginWithFullEmail=0
Obj_HostName=
HostName=

[@sina.cn]
WebURL=http://mail.sina.cn
[@vip.sina.com]
WebURL=http://vip.sina.com.cn/
[@my3ia.sina.com]
WebURL=http://vip.sina.com.cn/

[@qq.com]
WebURL=https://mail.qq.com/cgi-bin/loginpage
[@vip.qq.com]
WebURL=https://mail.qq.com/cgi-bin/loginpage
[@foxmail.com]
WebURL=https://mail.qq.com/cgi-bin/loginpage

[@yahoo.com.cn]
WebURL=http://mail.cn.yahoo.com/logout/logout1s.html
[@yahoo.cn]
WebURL=http://mail.cn.yahoo.com/logout/logout1s.html
[@yahoo.com]
WebURL=http://mail.yahoo.com/
LoginWithFullEmail=1

[@bokee.com]
WebURL=http://mail.bokee.com/

[@eyou.com]
WebURL=http://mail.eyou.com

[@people.com.cn]
WebURL=http://mail.people.com.cn/

[@sohu.com]
WebURL=http://mail.sohu.com/
[@sogou.com]
WebURL=http://mail.sogou.com/
[@vip.sohu.com]
WebURL=http://vip.sohu.com/

[@189.cn]
WebURL=http://webmail12.189.cn/webmail/UDBLogin
LoginWithFullEmail=0

[@139.com]
WebURL=http://mail.139.com/
LoginWithFullEmail=0

[@wo.com.cn]
WebURL=http://mail.wo.com.cn/

[@91.com]
WebURL=http://mail.91.com/
LoginWithFullEmail=0

[@2911.net]
WebURL=http://mail.2911.net/
Obj_UserName=username
LoginWithFullEmail=0
Obj_Password=password
Obj_FormName=login

[@china.com.cn]
WebURL=http://mail.china.com.cn
LoginWithFullEmail=0

[@china.com]
WebURL=http://mail.china.com/
LoginWithFullEmail=0 

[@joycy.cn]
WebURL=http://cmail.sogou.com/
LoginWithFullEmail=0
Obj_UserName=user_mbox
Obj_HostName=id_domain_name
HostName=joycy.cn
Obj_Password=user_passwd
Obj_FormName=id_loginform

[@rcbbs.com.cn]
WebURL=http://mail.rcbbs.com.cn/
Obj_UserName=usernameshow
LoginWithFullEmail=0
Obj_Password=pwshow
SubmitFuncType=JScript
SubmitFunc=gook()
Obj_FormName=f1

[@orange.fr]
WebURL=http://id.orange.fr/auth_user/bin/auth_user.cgi
Obj_UserName=email
Obj_Password=pwd
Obj_FormName=frm2
LoginWithFullEmail=1

[@free.fr]
WebURL=imp.free.fr
Obj_UserName=imapuser
Obj_FormName=implogin
LoginWithFullEmail=1
SubmitFuncType=JScript

[@wanadoo.fr]
WebURL=http://id.orange.fr/auth_user/bin/auth_user.cgi
Obj_UserName=email
Obj_Password=pwd
Obj_FormName=frm2
LoginWithFullEmail=1


